pqxx::stream_from Class Reference

Efficiently pull data directly out of a table. More...

`#include <stream_from.hxx>`

Inheritance diagram for pqxx::stream_from:
[legend]

## Public Member Functions

| stream_from (transaction_base &, const std::string &table_name)
template<typename Columns >
| stream_from (transaction_base &, const std::string &table_name, const Columns &columns)
template<typename Iter >
| stream_from (transaction_base &, const std::string &table_name, Iter columns_begin, Iter columns_end)
| ~stream_from () noexcept
void | complete () override
bool | get_raw_line (std::string &)
template<typename Tuple >
stream_from & | operator>> (Tuple &)
Public Member Functions inherited from pqxx::stream_base
| stream_base (transaction_base &)
virtual | ~stream_base () noexcept=default
| operator bool () const noexcept
bool | operator! () const noexcept
Public Member Functions inherited from pqxx::internal::transactionfocus
| transactionfocus (transaction_base &t)
| transactionfocus ()=delete
| transactionfocus (const transactionfocus &)=delete
transactionfocus & | operator= (const transactionfocus &)=delete
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname)
| namedclass (const std::string &Classname, const std::string &Name)
const std::string & | name () const noexcept
| Object name, or the empty string if no name was given. More...
const std::string & | classname () const noexcept
| Class name. More...
std::string | description () const
| Combination of class name and object name; or just class name. More...

## Additional Inherited Members

Protected Member Functions inherited from pqxx::internal::transactionfocus
void | register_me ()
void | unregister_me () noexcept
void | reg_pending_error (const std::string &) noexcept
bool | registered () const noexcept
Static Protected Member Functions inherited from pqxx::stream_base
template<typename C >
static std::string | columnlist (const C &)
template<typename I >
static std::string | columnlist (I begin, I end)
Protected Attributes inherited from pqxx::stream_base
bool | m_finished
Protected Attributes inherited from pqxx::internal::transactionfocus
transaction_base & | m_trans

## Detailed Description

Efficiently pull data directly out of a table.

## Constructor & Destructor Documentation

## stream_from() [1/3]

pqxx::stream_from::stream_from | ( | transaction_base & | tb,
|  | const std::string & | table_name
| ) |  |

## stream_from() [2/3]

template<typename Columns >

pqxx::stream_from::stream_from | ( | transaction_base & | tb,
|  | const std::string & | table_name,
|  | const Columns & | columns
| ) |  |

## stream_from() [3/3]

template<typename Iter >

pqxx::stream_from::stream_from | ( | transaction_base & | tb,
|  | const std::string & | table_name,
|  | Iter | columns_begin,
|  | Iter | columns_end
| ) |  |

## ~stream_from()

pqxx::stream_from::~stream_from | ( |  | ) |

noexcept

## Member Function Documentation

## complete()

void pqxx::stream_from::complete | ( |  | ) |

override virtual

Implements pqxx::stream_base.

## get_raw_line()

bool pqxx::stream_from::get_raw_line | ( | std::string & | line | ) |

Referenced by pqxx::stream_to::operator<<(), and operator>>().

## operator>>()

template<typename Tuple >

stream_from & pqxx::stream_from::operator>> | ( | Tuple & | t | ) |

References get_raw_line().

The documentation for this class was generated from the following files:

- stream_from.hxx
- stream_from.cxx